Updating application to karaf 4.1.2

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Updating application to karaf 4.1.2

conejo
I have an application running in version 4.0.8 of karaf and I would like to test it in version 4.1.2 but I get the following message:

2017-08-09T08:19:32,877 | INFO  | features-1-thread-1 | BlueprintContainerImpl           | 12 - org.apache.aries.blueprint.core - 1.8.2 | Bundle sacomar_iii_srv_communicationConf/0.5.0.SNAPSHOT is waiting for namespace handlers [http://aries.apache.org/xmlns/transactions/v1.2.0]

Do I need to use an older version of the transaction feature?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Updating application to karaf 4.1.2

jbonofre
Hi,

Does the machine hosting Karaf has Internet access ?

I think it could be related to:

https://issues.apache.org/jira/browse/KARAF-5283

Regards
JB

On 08/09/2017 08:34 AM, conejo wrote:

> I have an application running in version 4.0.8 of karaf and I would like to
> test it in version 4.1.2 but I get the following message:
>
> 2017-08-09T08:19:32,877 | INFO  | features-1-thread-1 |
> BlueprintContainerImpl           | 12 - org.apache.aries.blueprint.core -
> 1.8.2 | Bundle sacomar_iii_srv_communicationConf/0.5.0.SNAPSHOT is waiting
> for namespace handlers [http://aries.apache.org/xmlns/transactions/v1.2.0]
>
> Do I need to use an older version of the transaction feature?
>
>
>
> --
> View this message in context: http://karaf.922171.n3.nabble.com/Updating-application-to-karaf-4-1-2-tp4051189.html
> Sent from the Karaf - User mailing list archive at Nabble.com.
>

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Updating application to karaf 4.1.2

conejo
Hi.
Yes, it has.

Thanks.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Updating application to karaf 4.1.2

conejo
In reply to this post by jbonofre
Hi.
Yes, it has.

My blueprint contains:

<blueprint xmlns="http://www.osgi.org/xmlns/blueprint/v1.0.0"
    xmlns:jpa="http://aries.apache.org/xmlns/jpan/v1.0.0"
    xmlns:tx="http://aries.apache.org/xmlns/transactions/v1.2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <jpa:enable/>

...

I guess I'll have to use the old version of transaction feature

Maybe

Thanks.
Loading...